Bug 95630 - Double-clicking a file to import into Calc opens import window on another workspace
Summary: Double-clicking a file to import into Calc opens import window on another wor...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Desktop-Environment
  Show dependency treegraph
 
Reported: 2015-11-06 11:19 UTC by Richard Wiseman
Modified: 2018-09-07 02:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Wiseman 2015-11-06 11:19:13 UTC
If I've already got LibreOffice open on another workspace and I double-click a .csv file to open it in Calc, it appears to do nothing.  However, if I go to the workspace where LibreOffice currently is open, the import dialogue is there ready to go.  Really, this dialogue should open on the same workspace where the .csv file is double-clicked.
Comment 1 Buovjaga 2015-11-11 09:09:34 UTC
Not reproduced. CSV import dialog opens in the workspace with no LibO yet open.

Which Linux distro and DE are you using? Which LibO version?

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.

Ubuntu 15.10 64-bit 
Version: 5.0.2.2
Build ID: 00m0(Build:2)
Locale: en-US (en_US.UTF-8)
Comment 2 Richard Wiseman 2015-11-11 10:01:49 UTC
I'm using Linux Mint 17.2 with LibreOffice 4.4.3.2 (the latest for Mint).

I'm assuming DE is Desktop Environment.  I'm using Cinnamon 2.6.13.

I checked again and it definitely is happening with this combination of software.
Comment 3 Buovjaga 2015-11-11 11:04:55 UTC
Ok, I don't have Mint on anything at the moment (I could use a VM).
Maybe you can try with LibreOffice 5 to confirm it still behaves that way.

If 5 is not available in Mint yet, you can use this ppa:
https://launchpad.net/~libreoffice/+archive/ubuntu/ppa

Cinnamon 2.8 was released recently btw.
Comment 4 Buovjaga 2015-11-11 12:37:19 UTC
I *did* notice later, that when double clicking in one workspace to open a file (not csv), it opened in the second workspace with the originally opened LibO.
Comment 5 Richard Wiseman 2015-11-11 14:22:14 UTC
Thanks for the suggestion about LibreOffice 5.  I don't usually install software this way and I'm struggling to work out how to tell it to install v5.

I've followed the instructions on adding the ppa:libreoffice/libreoffice-5-0 PPA but now it's there I don't know how to specifically search for and install v5.  I do "apt-cache search libreoffice" and get loads back but without version numbers.  there doesn't appear to be a libreoffice-5-0 or anything like that.  Can you give me some pointers please?  Thanks!
Comment 6 Buovjaga 2015-11-11 14:58:31 UTC
(In reply to Richard Wiseman from comment #5)
> Thanks for the suggestion about LibreOffice 5.  I don't usually install
> software this way and I'm struggling to work out how to tell it to install
> v5.
> 
> I've followed the instructions on adding the ppa:libreoffice/libreoffice-5-0
> PPA but now it's there I don't know how to specifically search for and
> install v5.  I do "apt-cache search libreoffice" and get loads back but
> without version numbers.  there doesn't appear to be a libreoffice-5-0 or
> anything like that.  Can you give me some pointers please?  Thanks!

I think if you just apt-get update and then apt-get dist-upgrade it should update your 4.4 to 5.
Comment 7 Richard Wiseman 2015-11-11 15:11:44 UTC
Thanks but I'm afraid it didn't!  It did a slightly worrying number of updates (considering that my software update app didn't think there was anything to install!) but when I start LibreOffice it's still v4.4.3.2.
Comment 8 Richard Wiseman 2015-11-11 15:13:48 UTC
Oh, and actually that was when I ran libreoffice from the command line.  When I use the start menu, I now get a fatal error!

"The application cannot be started. 
User installation could not be completed."

That's not good. :-(
Comment 9 Richard Wiseman 2015-11-11 15:26:39 UTC
Yeah this isn't good.  I've now completely removed and reinstalled LibreOffice and restarted my machine and it no longer starts, even from the command line.

It just now gives that same message every time:

"The application cannot be started. 
User installation could not be completed."
Comment 10 Richard Wiseman 2015-11-11 15:33:16 UTC
Still not quite right but http://askubuntu.com/questions/613941/need-help-installing-libreoffice-4-4-on-ubuntu-15-04 helped.

I can now start LibreOffice but it doesn't look like it did before.  It now looks like an Ubuntu version rather than a Mint version.  And although the repository is definitely there, it still installs v4.4.3.2.
Comment 11 Buovjaga 2015-11-11 15:34:18 UTC
Ah, it was because of the pinning!

http://www.webupd8.org/2015/08/install-libreoffice-50-in-ubuntu-or.html

Linux Mint 17.2 only: LibreOffice is pinned in Linux Mint 17.2 and can't be upgraded by using a PPA. To be able to update LibreOffice to version 5.0 via PPA, you need to create a file called "libreoffice-libreoffice-5-0.pref" under /etc/apt/preferences.d/ - to do this automatically, use the following command:

gksu gedit /etc/apt/preferences.d/libreoffice-libreoffice-5-0.pref

and in this file, paste this:

Package: *
Pin: release o=LP-PPA-libreoffice-libreoffice-5-0
Pin-Priority: 701
Comment 12 Richard Wiseman 2015-11-11 15:47:16 UTC
Thanks, that worked.  That's a relief!

Unfortunately, this doesn't fix the issue I'm having. :(
Comment 13 Joel Madero 2015-11-11 20:54:53 UTC
Bodhi 3x - built on top of Ubuntu 14.04 using E18
LibreOffice 5.0.3

Not reproducible. Apparently Jay has repro'd it with Mint....adding needsXFCE to whiteboard. Letting Jay mark as NEW with his system specs.
Comment 14 Yousuf Philips (jay) (retired) 2015-11-11 20:55:36 UTC
Reproduced.

Steps:
1) Start Writer on workspace 1
2) Switch to workspace 2 and open CSV

Linux Mint 17.1 XFCE
Version: 5.1.0.0.alpha1+
Build ID: 7a40c137e480329d9cf2b7946c2d83d9e52e8d29
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-31_23:29:52
Locale: en-US (en_US.UTF-8)

Linux Mint 17.2 Mate
Version: 4.4.3.2
Build ID: 40m0(Build:2)
Locale: en_US
Comment 15 Yousuf Philips (jay) (retired) 2015-11-12 14:39:12 UTC
Confirmed also on Xubuntu 14.04 with today's master.
Comment 16 QA Administrators 2017-09-01 11:18:10 UTC Comment hidden (obsolete)
Comment 17 Richard Wiseman 2017-09-04 09:39:08 UTC
I don't really have time to try installing the old version, but I can report that (possibly due to an update in my OS, Linux Mint) when I repeat the process I originally described, the dialogue opens on my current workspace.
Comment 18 Yousuf Philips (jay) (retired) 2017-09-05 16:25:24 UTC
This issue seems to affect most linux desktop environment.

Still broken (csv dialog doesnt appear on workspace 2)

* Ubuntu Mate 17.10 beta 1 [Live CD] (Mate 1.18) with LO 5.4.0.3 (VCL: gtk3)[1]
* Xubuntu 17.10 beta 1 [Live CD] (XFCE 4.12.3) with LO 5.4.0.3 (VCL: gtk2)
* Solus 3 [Installed] (Mate 1.18) with LO 5.4.0.3 (VCL: gtk3)
* Kubuntu 16.04.2 [Live CD] (KDE 5.5.5) with LO 5.1.4 (VCL: kde)
* KDE Neon User Edition [Installed] (KDE Neon 5.10.2) with LO 5.1.6 (VCL: kde)

Partially works in workspace 2 (Moves writer from workspace 1 to workspace 2 and displays csv import dialog in workspace 2)

* Ubuntu Mate 16.04 Installed (MATE 1.12.1) with LO 5.1.6 (VCL: gtk2)
* Linux Mint 18.0 Installed (MATE 1.14.1) with LO 5.1.6 (VCL: gtk2)

Partially works in workspace 1 (Switches to workspace 1 and displays csv import dialog)

* Ubuntu Gnome 16.04 Live CD (Gnome 3.18.4) with LO 5.1.6 (VCL: gtk2)

Works correctly (csv dialog appears on workspace 2 and calc opens on workspace 2)

* Linux Mint 18.2 Installed (XFCE 4.12.3) with LO 5.1.6 (VCL: gtk2)

[1] the problem doesnt arise in Ubuntu Mate if you use Compiz rather than the default Marco window manager.
Comment 19 Yousuf Philips (jay) (retired) 2017-09-06 11:22:40 UTC
Works correctly

* Ubuntu Gnome 17.04 [Live CD] (Gnome 3.24.0) with LO 5.3.1 (VCL: gtk3)

Doesnt work

* Lubuntu Next 17.10 alpha [Live CD] (LXQt 0.11.1) with LO 5.3.3 (VCL: kde4)
* Kubuntu 17.10 beta 1 [Live CD] (KDE 5.10.5) with LO 5.4.0 (VCL: kde4)
Comment 20 QA Administrators 2018-09-07 02:44:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug